View Issue Details

IDProjectCategoryView StatusLast Update
0014450LazarusLCLpublic2011-12-01 11:24
ReporterGraeme GeldenhuysAssigned ToMattias Gaertner 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSUbuntu LinuxOS Version8.04.2
Product Version0.9.27 (SVN)Product Buildr21317 
Target Version1.0.0Fixed in Version 
Summary0014450: TRadioGroup doesn't position content correctly at startup
DescriptionI have noticed this in Lazarus IDE and now also noticed this in my own
LCL based applications.

See the attached screenshots. When the application starts up the initial
layout of the TRadioGroup content is not positioned correctly. But as
soon as I make a selection change (I do not resize the form), then
suddenly the content repositions itself and aligns correctly inside the
TRadioGroup.

I'm using Ubuntu 9.04, but as far as I know this was happening in Ubuntu
8.04 as well. I'm using Lazarus r21317 and GTK2 widgetset.

In the first image you can see both TRadioGroup boxes with content
positioned incorrectly. Then I make a selection change and suddenly the
one groupbox repositions its content.
Tagssizing
Fixed in Revision
LazTarget0.9.30
WidgetsetGTK 2
Attached Files

Relationships

related to 0014867 closedPaul Ishenin Radio items in IDE Options -> Environment -> Naming too crowded 
related to 0014877 closedPaul Ishenin radiogroup item sizing 

Activities

2009-08-28 10:39

 

2009-08-28 10:39

 

Mattias Gaertner

2009-08-28 10:47

manager   ~0030216

Please provide a complete example.

theo

2009-08-28 11:21

reporter   ~0030217

Last edited: 2009-08-28 11:36

I can confirm this problem.
It happens when the Radio-Items don't have the maximum vert. distance at designtime. i.e. when RadioGroup height is limited.

Can be corrected with

procedure TForm1.Button1Click(Sender: TObject);
begin
 RadioGroup1.ReAlign;
end;

But this doesn't work OnShow etc.

2009-08-28 11:42

 

rgtest.tar.gz (97,090 bytes)

2009-08-28 11:45

 

radiogroup.tar.gz (94,501 bytes)

2009-08-28 11:45

 

Screenshot-Form2.png (15,702 bytes)
Screenshot-Form2.png (15,702 bytes)

2009-08-28 11:46

 

Screenshot-Form2-1.png (13,866 bytes)
Screenshot-Form2-1.png (13,866 bytes)

Graeme Geldenhuys

2009-08-28 11:47

reporter   ~0030218

Attached is radiogroup.tar.gz containing a sample project. Note the two new screenshots as well. In the form designer the TRadioGroup is correct, but at runtime (without making selection changes) the layout is wrong.

Issue History

Date Modified Username Field Change
2009-08-28 10:38 Graeme Geldenhuys New Issue
2009-08-28 10:38 Graeme Geldenhuys Widgetset => GTK 2
2009-08-28 10:39 Graeme Geldenhuys File Added: Screenshot-Thread Manager.png
2009-08-28 10:39 Graeme Geldenhuys File Added: Screenshot-Thread Manager-1.png
2009-08-28 10:47 Mattias Gaertner LazTarget => -
2009-08-28 10:47 Mattias Gaertner Note Added: 0030216
2009-08-28 10:47 Mattias Gaertner Status new => feedback
2009-08-28 11:21 theo Note Added: 0030217
2009-08-28 11:36 theo Note Edited: 0030217
2009-08-28 11:42 theo File Added: rgtest.tar.gz
2009-08-28 11:45 Graeme Geldenhuys File Added: radiogroup.tar.gz
2009-08-28 11:45 Graeme Geldenhuys File Added: Screenshot-Form2.png
2009-08-28 11:46 Graeme Geldenhuys File Added: Screenshot-Form2-1.png
2009-08-28 11:47 Graeme Geldenhuys Note Added: 0030218
2009-10-06 09:13 Vincent Snijders LazTarget - => 1.0
2009-10-06 09:13 Vincent Snijders Status feedback => acknowledged
2009-10-06 09:13 Vincent Snijders Target Version => 1.0.0
2009-10-06 09:13 Vincent Snijders Tag Attached: sizing
2009-10-06 09:14 Vincent Snijders Assigned To => Mattias Gaertner
2009-10-06 09:14 Vincent Snijders Status acknowledged => assigned
2009-10-21 23:57 Vincent Snijders Relationship added related to 0014867
2009-10-22 21:54 Vincent Snijders Relationship added related to 0014877
2010-07-08 17:25 Mattias Gaertner LazTarget 1.0 => 0.9.30
2010-07-08 17:25 Mattias Gaertner Status assigned => resolved
2010-07-08 17:25 Mattias Gaertner Resolution open => fixed
2011-12-01 11:24 Marc Weustink Status resolved => closed